shishi_kdc_copy_crealm(3)

NAME
shishi_kdc_copy_crealm - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdc_copy_crealm(Shishi * handle, Shishi_asn1 kdcrep, Shishi_asn1 encticketpart);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcrep
    KDC-REP to read crealm from.

Shishi_asn1 encticketpart
    EncTicketPart to set crealm in.

DESCRIPTION
Set crealm in KDC-REP to value in EncTicketPart.

RETURN VALUE
Returns SHISHI_OK if successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.